<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.formatter.DateFormatter"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	DateFormatter dateFormat = new DateFormatter("yyyy-MM-dd");
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~frozen-tissue-date.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
#not-found
{
	margin: 0 1em 0 4em; 
	padding: 0.5em 1em; 
	font-family: monospace,Courier New;
	max-height: 25em;
	overflow: auto;
}
</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Update FrozenTissueDate annotation" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Import from file</div>
		<div class="step-content">
			
			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">FrozenTissueDate</td>
				<td class="input">
					<%=dateFormat.format(new java.util.Date())%>
				</td>
				<td class="status"></td>
				<td class="help">
					The FrozenTissueDate annotation for cases found in the selected file will 
					be updated to this value.
				</td>
			</tr>
			<tr class="align-top">
				<td class="prompt">File</td>
				<td class="input">
					<table style="width: 100%;">
					<tr>
					<td>
						<input class="text required" type="text" name="importfile" id="importfile">
					</td>
					<td style="padding-left: 4px; width: 7em;">
						<base:button 
							title="Browse&hellip;"
							id="importfile.btn"
						/>
					</td>
					</tr>
					</table>
				</td>
				<td class="status" id="importfile.status"></td>
				<td class="help"><span id="importfile.message" class="message"></span>
					The file should be a text file containing one SCANBID per line and nothing else.
				</td>
			</tr>
			</table>
		</div>
	</div>


	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<div id="not-found" style="display: none;" class="bg-filled-100 fullborder"></div>

	<table class="navigation" id="navigation">
	<tr>
		<td><base:button id="gocancel" title="Cancel" /></td>
		<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="goimport" title="Import" image="<%=home+"/images/gonext.png"%>" /></td>
		<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
		<td id="gonext-message" class="message"></td>
	</tr>
	</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>